Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 713600 - emacs ispell mode should use hunspell by default
Summary: emacs ispell mode should use hunspell by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: emacs
Version: 6.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Karel Klíč
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 796053
TreeView+ depends on / blocked
 
Reported: 2011-06-15 21:01 UTC by Jay Berkenbilt
Modified: 2018-11-30 22:40 UTC (History)
5 users (show)

Fixed In Version: emacs-23.1-24.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-09 12:41:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (deleted)
2011-11-16 10:57 UTC, Karel Klíč
no flags Details | Diff

Description Jay Berkenbilt 2011-06-15 21:01:28 UTC
Description of problem:

Emacs's ispell mode (also used by flyspell mode) tries ispell, aspell, and hunspell in that order as spell checkers.  Perhaps Red Hat's build should just use hunspell since ispell is no longer available and aspell is non-functional with no dictionaries.

Version-Release number of selected component (if applicable):

emacs-23.1-21.el6

How reproducible:

always

Steps to Reproduce:
1. yum install emacs aspell
2. emacs -q &
3. In emacs, M-x ispell-buffer
  
Actual results:

Emacs says:

ispell-init-process: Error: No word lists can be found for the language "en_US".

Expected results:

The spelling checker should work even if aspell is installed.

Additional info:

In lisp/textmodes/ispell.el, the initialization of ispell-program-name tries aspell, ispell, and hunspell in that order.  Change it to try hunspell first.

Comment 1 Jay Berkenbilt 2011-06-15 21:04:38 UTC
See also bug 590700.  (Hey, neat...both bug numbers are multiples of 100.  Oh, sorry.)

Comment 3 RHEL Product and Program Management 2011-07-06 01:36:32 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 4 Karel Klíč 2011-11-16 10:57:18 UTC
Created attachment 533970 [details]
Proposed patch

Comment 9 Jiri Pallich 2012-10-09 12:41:36 UTC
Since this is a parent bug of an issue that has already been released via Z-Stream (e.g. rhel-6.3.z), this bug is going to be CLOSED as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.